// Archivo: efectivo.cpp
#include "efectivo.hpp"
#include <iostream>
#include<locale.h>
#include <windows.h>
using namespace std;

//Métodos Públicos
// Definición del constructor por defecto e inicilización de miembros
Efectivo::Efectivo() : Venta()
{
	this->total = 0;
	this->descuento = 0;
	this->pago = 0;

}
// Definición del constructor específico
Efectivo::Efectivo(int ced, string nom, int cel, string ciu, int ed, string act, string tiv, int to, int des, int pa) : Venta(ced, nom, cel, ciu, ed, act, tiv)
{
	this->total = to;
	this->descuento = des;
	this->pago = pa;

}
// Definición del método específico de carga
void Efectivo::getefectivo(int ced, string nom, int cel, string ciu, int ed, string act, string tiv, int to, int des, int pa)
{
	this->total = to;
	this->descuento = des;
	this->pago = pa;

}
// Definición del destructor por defecto
Efectivo::~Efectivo()
{
}
void Efectivo::setefectivo()
{
	cout << endl;
	cout << "\n\t      REPORTE  DE  LA  MODALIDAD  DE  VENTA  EFECTIVO     ";
	cout << "\n\t----------------------------------------------------------";
	cout << "\n\tTotal venta: " << total << "\t\t\tDescuento: " << descuento;
	Sleep(200);
	cout << "\n\tValor a pagar: " << pago;
	Sleep(200);
	cout << "\n\t----------------------------------------------------------";

}
// final del archivo efectivo.cpp
